getr_depth(3)

NAME
getr_depth, getg_depth, getb_depth, geta_depth - Extract a color component from a color in a specified pixel format. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int getr_depth(int color_depth, int c); int getg_depth(int color_depth, int c); int getb_depth(int color_depth, int c); int geta_depth(int color_depth, int c);

DESCRIPTION
Given a color in the format being used by the specified color depth, these functions extract one of the red, green, blue, or alpha components (ranging 0-255). The alpha part is only meaningful for 32-bit pixels. Example:
   int r, g, b, color_value, bpp;

   bpp = bitmap_color_depth(bitmap);
   color_value = getpixel(bitmap, 100, 100);
   r = getr_depth(bpp, color_value);
   g = getg_depth(bpp, color_value);
   b = getb_depth(bpp, color_value);

SEE ALSO
getr(3), getr8(3), geta32(3), makecol(3), set_color_depth(3), exlights(3)